/* package-info.java
 * =========================================================================
 * This file is part of the SWIRL Library - http://swirl-lib.sourceforge.net
 * 
 * Copyright (C) 2005-2007 Universiteit Gent
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * A copy of the GNU General Public License can be found in the file
 * LICENSE.txt provided with the source distribution of this program (see
 * the META-INF directory in the source jar). This license can also be
 * found on the GNU website at http://www.gnu.org/licenses/gpl.html.
 * 
 * If you did not receive a copy of the GNU General Public License along
 * with this program, contact the lead developer, or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301, USA.
 * 
 */

/**
 * Provides drag and drop of Java objects within the same virtual machine.
 * Differs from the standard Swing functionality for drag and drop
 * in the following ways:
 * <ul>
 * <li>Delegates drag functionality to a separate object of type {@link be.ugent.caagt.swirl.dnd.DragHandler}.
 * <li>Delegates drop functionality to a list of registered drop handlers
 * of type {@link be.ugent.caagt.swirl.dnd.DropHandler}.
 * <li>Uses 'classes' instead of 'flavors'.
 * </ul>
 * See the documentation of {@link be.ugent.caagt.swirl.dnd.LocalTransferHandler} for
 * more information.
 */
package be.ugent.caagt.swirl.dnd;

