/* package-info.java
 * =========================================================================
 * This file is part of the SWIRL Library - http://swirl-lib.sourceforge.net
 * 
 * Copyright (C) 2005-2007 Universiteit Gent
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * A copy of the GNU General Public License can be found in the file
 * LICENSE.txt provided with the source distribution of this program (see
 * the META-INF directory in the source jar). This license can also be
 * found on the GNU website at http://www.gnu.org/licenses/gpl.html.
 * 
 * If you did not receive a copy of the GNU General Public License along
 * with this program, contact the lead developer, or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301, USA.
 * 
 */

/**
 * Provides a way to add small decorations (buttons or icons) to the 
 * column headers of a table. To use decorations of this type, 
 * you should use the class {@link be.ugent.caagt.swirl.tables.EnhancedTable} 
 * instead of {@code JTable} for your tables.<p>
 *
 * To put a small button onto the table column (e.g., a close button which removes
 * the column), use {@link be.ugent.caagt.swirl.tables.TableColumnButton}. For small
 * icons (e.g., an arrow which indicates the current sort order of the column),
 * use {@link be.ugent.caagt.swirl.tables.TableColumnIcon}. Alternatively, you can also
 * provide your own implementation of {@link be.ugent.caagt.swirl.tables.TableColumnDecoration}.
 */
package be.ugent.caagt.swirl.tables;

